User account creation filtered due to spam.

Bug 21987 - [3.4 Regression] New testsuite failure g++.dg/warn/conversion-function-1.C
Summary: [3.4 Regression] New testsuite failure g++.dg/warn/conversion-function-1.C
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: c++ (show other bugs)
Version: 3.4.5
: P2 normal
Target Milestone: 3.4.5
Assignee: Not yet assigned to anyone
URL:
Keywords: diagnostic
Depends on:
Blocks:
 
Reported: 2005-06-09 17:10 UTC by Rainer Orth
Modified: 2005-06-14 18:20 UTC (History)
4 users (show)

See Also:
Host: *-*-*
Target: *-*-*
Build: *-*-*
Known to work:
Known to fail:
Last reconfirmed: 2005-06-14 13:24:35


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Orth 2005-06-09 17:10:48 UTC
Between 20050414 and 20050606, there occured a new testsuite failure on the
3.4 branch on alpha-dec-osf4.0f and alpha-dec-osf5.1b:

+FAIL: g++.dg/warn/conversion-function-1.C (test for excess errors)

Excess errors:
/vol/gnu/src/gcc/gcc-3.4-branch-dist/gcc/testsuite/g++.dg/warn/conversion-function-1.C:6: warning: conversion to a reference to the same type will never use a type conversion operator

Environment:
System: OSF1 bartok V5.1 2650 alpha
Machine: alpha
	
host: alpha-dec-osf5.1b
build: alpha-dec-osf5.1b
target: alpha-dec-osf5.1b
configured with: /vol/gnu/src/gcc/gcc-3.4-branch-dist/configure --prefix=/vol/gcc --with-local-prefix=/vol/gcc --disable-nls --host alpha-dec-osf5.1b --build alpha-dec-osf5.1b --target alpha-dec-osf5.1b

How-To-Repeat:
Bootstrap and test as described above.
Comment 1 Andrew Pinski 2005-06-09 17:15:13 UTC
Weird.
Comment 2 Rainer Orth 2005-06-10 17:09:56 UTC
Subject: Re:  [3.4 Regression] New testsuite failure g++.dg/warn/conversion-function-1.C

I've also observed this on mips-sgi-irix5.3 and mips-sgi-irix6.5, so this
may even be generic (at least not alpha specific).

	Rainer
Comment 3 Eric Botcazou 2005-06-14 12:41:54 UTC
Confirmed on x86 and SPARC.
Comment 4 Eric Botcazou 2005-06-14 12:44:56 UTC
My logs show that it was not present as of 05/31.
Comment 5 Eric Botcazou 2005-06-14 12:51:20 UTC
So we are left with these 2 patches to the C++ front-end:

2005-06-03  Mark Mitchell  <mark@codesourcery.com>

	PR c++/21853
	* typeck.c (casts_away_constness_r): Do not drop cv-qualifiers on
	the pointed-to type for a pointer-to-member.

2005-06-03  Mark Mitchell  <mark@codesourcery.com>

	PR c++/21336
	* cp-tree.h (grok_op_properties): Remove friendp parameter.
	* decl.c (grokfndecl): Adjust call.
	(grok_op_properties): Determine the class of which the function is
	a member by looking at its DECL_CONTEXT, not current_class_type.
	* pt.c (tsubst_decl): Adjust call to grok_op_properties.


Mark, it's not the first time we catch you backporting patches without testing
them on the branch. :-D
Comment 6 Eric Botcazou 2005-06-14 13:24:35 UTC
> Confirmed on x86 and SPARC.

And x86-64 if that matters.
Comment 7 CVS Commits 2005-06-14 16:55:58 UTC
Subject: Bug 21987

CVSROOT:	/cvs/gcc
Module name:	gcc
Branch: 	gcc-3_4-branch
Changes by:	mmitchel@gcc.gnu.org	2005-06-14 16:55:47

Modified files:
	gcc/cp         : ChangeLog decl.c 

Log message:
	PR c++/21987
	* decl.c (grok_op_properties): Add missing warn_conversion check.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/cp/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.3892.2.226&r2=1.3892.2.227
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/cp/decl.c.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.1174.2.36&r2=1.1174.2.37

Comment 8 Mark Mitchell 2005-06-14 16:58:12 UTC
Fixed in 3.4.5.
Comment 9 Eric Botcazou 2005-06-14 18:20:09 UTC
Thanks for the quick turnaround time.
Comment 10 Mark Mitchell 2005-06-14 18:39:14 UTC
Subject: Re:  [3.4 Regression] New testsuite failure g++.dg/warn/conversion-function-1.C

ebotcazou at gcc dot gnu dot org wrote:
> ------- Additional Comments From ebotcazou at gcc dot gnu dot org  2005-06-14 18:20 -------
> Thanks for the quick turnaround time.

You're really too kind.  This was just plain lame on my part.  Thanks.